Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.ram
Class RamFileSystem

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractFileSystem
              org.apache.commons.vfs.provider.ram.RamFileSystem

All Implemented Interfaces:
  FileSystem, Serializable, VfsComponent

public class RamFileSystem
extends AbstractFileSystem
implements Serializable

A RAM File System

See Also:
  Serialized Form

Constructor Summary
`protected` | `RamFileSystem(FileName rootName, FileSystemOptions fileSystemOptions)`

Method Summary
`protected void` | `addCapabilities(Collection caps)` Adds the capabilities of this file system.
`void` | `attach(RamFileObject fo)`
`void` | `close()` Close the RAMFileSystem
`protected FileObject` | `createFile(FileName name)` Creates a file object.
`void` | `importTree(File file)` Import a Tree

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileSystem
`addJunction, addListener, closeCommunicationLink, decorateFileObject, doCloseCommunicationLink, doReplicateFile, fireFileChanged, fireFileCreated, fireFileDeleted, getAttribute, getFileFromCache, getFileSystemManager, getFileSystemOptions, getLastModTimeAccuracy, getParentLayer, getRoot, getRootName, hasCapability, init, isOpen, isReleaseable, notifyAllStreamsClosed, putFileToCache, removeFileFromCache, removeJunction, removeListener, replicateFile, resolveFile, resolveFile, setAttribute`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RamFileSystem

    protected RamFileSystem(FileName rootName,
                            FileSystemOptions fileSystemOptions)

Parameters:
  `rootName` -
  `fileSystemOptions` -

Method Detail

### createFile

    protected FileObject createFile(FileName name)
                             throws Exception

  Description copied from class: `AbstractFileSystem`
  Creates a file object. This method is called only if the requested file is not cached.

  Specified by:
    `createFile` in class `AbstractFileSystem`
  Throws:
    `Exception`

### addCapabilities

    protected void addCapabilities(Collection caps)

  Description copied from class: `AbstractFileSystem`
  Adds the capabilities of this file system.

  Specified by:
    `addCapabilities` in class `AbstractFileSystem`

### attach

    public void attach(RamFileObject fo)

### importTree

    public void importTree(File file)
                    throws FileSystemException

  Import a Tree

  Parameters:
    `file` -
  Throws:
    `FileSystemException`

### close

    public void close()

  Close the RAMFileSystem

  Specified by:
    `close` in interface `VfsComponent`
  Overrides:
    `close` in class `AbstractFileSystem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.